# vector.h File Reference

Various discreet type definitions. More...

`#include "angle.h"`
`#include "real.h"`
`#include <math.h>`
`#include <ETL/bezier>`

Go to the source code of this file.

## Namespaces

namespace | synfig
namespace | std

## Classes

class | synfig::Vector
class | bezier_base< synfig::Vector, float >

## Functions

synfig::Vector::value_type | std::abs (const synfig::Vector &rhs)

## Detailed Description

Various discreet type definitions.

$Id$